import Combine

extension BusUI {
  public final class Button: ObservableObject {
    public let v = PassthroughSubject<Void, Never>()
    var subscriptions = [AnyCancellable]()
   
    public init(
      _ key: String,
      _ id: String? = nil
    ) {
      var k = key
      if let id {
        k = k + id
      }

      Bus.sendSync(
        k,
        v.map { true }.eraseToAnyPublisher(),
        &subscriptions
      )
    }
  }
}
